﻿###by 7dots Ruslan Nebykov
###license: cc by-sa
###free use, when specifying the author
init python:
    # game window in the center of the screen
    import os
    os.environ['SDL_VIDEO_CENTERED'] = '1'
    # auto image ads
    config.automatic_images_minimum_components = 1
    config.automatic_images = [' ', '_', '/']
    config.automatic_images_strip = ['images']
    # flash вспышка
    flash  = Fade(.25, 0, .5, color="#fff")
    flash2 = Fade(.25, 0, .5, color="#222")

# game settings настройки игры:
    # maximum scale value максимальное значение шкалы
    max_points = 100
    # the name of the picture (without numbering frames) название картинки (без нумерации кадров)
    img_name = "bg_farm"
    # first and last animation frames первый и последний кадры анимации
    minN = 1
    maxN = 9
    # value, to which the scale is added when clicking значение, на которое прибавляется шкала при клике
    # (ie, the complexity of the game, 2.0 is very difficult, 3.0 is easy) (т.е. сложность игры. 2.0 - очень сложно, 3.0 - легко)
    points_plus = 2.5

# default variables переменные по умолчанию
    # If desired, you can change this value, too, при желании можно поменять и это значение,
    # to better find the balance of the game чтобы точнее подобрать баланс игры
    points_minus = 1.0
    # allowable time between clicks or допустимое время между кликами или
    # Animation speed (time between frames) скорость анимации (время между сменой кадров)
    ani_time = .1
    # current frame текущий кадр
    number = 0
    # Frame increment инкремент кадра (+1/-1)
    plus = 1
    # Scale to fill шкала, которую нужно заполнить
    points = 0
    # recently was a click недавно был клик
    clicked = True
    # Changing animation frames if clicking was recently смена кадров анимации, если клик был недавно
    # and redraw the screen to see the changes и перерисовка экрана, чтобы увидеть изменения
    def NextFrameF():
        global points, number, plus, clicked
        # If the click was recently, then we continue the animation, если клик был недавно, то продолжаем анимацию,
        # else the next frame will not be. pause иначе следующего кадра не будет. пауза
        if clicked:
            # next / previous frame следующий/предыдущий кадр
            number += plus
            # If beyond the number of frames, then the animation in the opposite direction если за пределы числа кадров, то анимация в обратную сторону
            if number > maxN:
                number = maxN - 1
                plus = -plus
            if number < minN:
                number = minN + 1
                plus = -plus
        # Scaling down if there is no longer a click уменьшение шкалы, если давно не было клика
        points -= points_minus
        if points < 0:
            points = 0
        clicked = False
        # redraw the screen перерисовка экрана
        renpy.restart_interaction()
    # function → action функция → action
    NextFrame = renpy.curry(NextFrameF)

# screen game экран игры
screen clicker:
    # this is so that the game does not go on clicking the mouse это чтобы игра не продолжилась по клику мышкой
    modal True
    # reset the game settings when the screen appears сбрасываем настройки игры при появлении экрана
    on "show" action [SetVariable("number", 0), SetVariable("plus", 1), SetVariable("clicked", True)] 
    # change the frame if the click was recently, меняем кадр, если клик был недавно,
    # and check for a loss и проверяем на проигрыш
    timer ani_time repeat True action [NextFrame(), If(points <= 0, true=Return(False), false=NullAction())]
    # picture with animation картинка с анимацией
    add img_name + str(number)
    # display invisible button for clicks отображаем невидимую кнопку для кликов
    # click on add a scale and set the click flag по нажатию прибавляем шкалу и устанавливаем флаг клика
    button:
        text _(" ")
        xfill True
        yfill True
        background "#00000001"
        # If the scale is full, then the end of the game, victory если шкала полная, то конец игры, победа
        action [SetVariable("points", points + points_plus), SetVariable("clicked", True), If(points >= max_points, true=Return(True), false=NullAction())]
    # Alternative keypress альтернативное нажатие с клавиатуры
    key "K_SPACE" action [SetVariable("points", points + points_plus), SetVariable("clicked", True), If(points >= max_points, true=Return(True), false=NullAction())]
    # indicator индикатор
    vbar value StaticValue(points, max_points):
        align (0, 0) # position on the screen положение на экране
        maximum (150, 150) # dimensions размеры
        left_bar "heartempty" # empty heart пустое сердце
        right_bar "heart" # full heart полное сердце
        thumb None # you can put a separator here тут можно поставить разделитель
        thumb_shadow None # and shadow и тень

label start:
    # any unnecessary pieces for registration всякие ненужные штуки для оформления
    scene expression (img_name + "0")
    pause .5
    show expression Text("Get ready!") at truecenter as txt
    with dissolve
    pause
    hide txt
    # Start with 10 points to not lose immediately начать с 10 очков, чтобы не проиграть сразу же
    $ points = 10

    # ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓ ↓
    call screen clicker # ←  game игра
    # ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑ ↑

    # Further all unnecessary things went again дальше снова пошли всякие ненужные вещи:
    # show the results of the game показываем результаты игры
    if _return:
        # rewind the animation to the last frame перематываем анимацию до последнего кадра
        while number < maxN:
            $ number += 1
            scene expression (img_name + str(number))
            $ renpy.pause(ani_time, hard=True)
        scene expression (img_name + str(maxN))
        with flash
        show expression Text("Made it!") at truecenter as txt
    else:
        # rewind the animation to the first frame перематываем анимацию до первого кадра
        while number > 1:
            $ number -= 1
            scene expression (img_name + str(number))
            $ renpy.pause(ani_time, hard=True)
        scene expression (img_name + "0")
        with flash2
        show expression Text("Failed.") at truecenter as txt
    # A hard pause in case the player is still tapping on the button жесткая пауза на случай, если игрок всё еще лупит по кнопке
    $ renpy.pause(1.0, hard=True)
    hide txt
    with dissolve
    return
